# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate av-metrics

Name:           rust-av-metrics
Version:        0.9.1
Release:        %mkrel 2
Summary:        Collection of algorithms for measuring audio/video metrics
Group:          Development/Rust
BuildArch:      noarch

License:        MIT
URL:            https://crates.io/crates/av-metrics
Source0:        %{crates_source}
# https://github.com/rust-av/av-metrics/pull/297
Source1:        https://github.com/rust-av/av-metrics/raw/1d43898/av_metrics/LICENSE
# Manually created patch for downstream crate metadata changes
# * drop unused, benchmark-only criterion dev-dependency to speed up builds
Patch:          av-metrics-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  rust-itertools0.10-devel
BuildRequires:  rust-thiserror1-devel

%global _description %{expand:
A collection of algorithms for measuring audio/video metrics.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       rust-itertools0.10+default-devel
Requires:       rust-thiserror1+default-devel

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%license %{crate_instdir}/src/video/ciede/delta_e/LICENSE
%license %{crate_instdir}/src/video/ciede/rgbtolab/LICENSE
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep
cp -pav %{SOURCE1} .

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif



%changelog
* Mon Apr 28 2025 wally <wally> 0.9.1-2.mga10
+ Revision: 2179697
- update thiserror reqs
- update RPM group to Development/Rust

* Sun Sep 22 2024 wally <wally> 0.9.1-1.mga10
+ Revision: 2100434
- mageiafy .spec
- imported package rust-av-metrics


## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 27 2023 Fabio Valentini <decathorpe@gmail.com> - 0.9.1-1
- Update to version 0.9.1; Fixes RHBZ#2067947

* Sun Mar 12 2023 Fabio Valentini <decathorpe@gmail.com> - 0.7.2-6
- Regenerate with rust2rpm v24

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Nov 04 2022 Fabio Valentini <decathorpe@gmail.com> - 0.7.2-4
- Drop unused, benchmark-only criterion dev-dependency

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Nov 14 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.7.2-1
- Update to 0.7.2 Close: rhbz#1991567

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Mar 29 16:41:29 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.6.2-1
- Update to 0.6.2

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Dec 09 18:17:03 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.6.1-1
- Initial package

## END: Generated by rpmautospec
